## A makefile for fsim

CC = gcc
CFLAGS =
LDFLAGS =

PROG = fsim
GDATA =	atpg.h
SRCS =	fsim.c error.c hash.c help.c read_cct.c io.c pio.c \
	define_fault_list.c ppsfp.c random.c print.c
OBJS = $(SRCS:.c=.o)

## build the program from the object files
$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(PROG)

## rules for the source files
fsim.o: $(GDATA)

io.o: $(GDATA)

print.o: $(GDATA)

pio.o: $(GDATA)

define_fault_list.o: $(GDATA)

ppsfp.o: $(GDATA)

random.o:

hash.o: $(GDATA)

error.o: $(GDATA)

help.o: $(GDATA)

read_cct.o: $(GDATA)

## remove all the compilation and debugging files
clean:
	rm -f core $(PROG) $(OBJS)

